/**
 * Created by dell on 2015/1/7.
 */
(function(){
    document.querySelector(".main") && (document.querySelector(".main").className = 'main');
    var String = {
        /* 字符串函数。 */
        trim: function(str){ //删除左右两端的空格
            return str.replace(/(^\s*)|(\s*$)/g, "");
        },
        ltrim: function(str){ //删除左边的空格
            return str.replace(/(^\s*)/g,"");
        },
        rtrim: function(str){ //删除右边的空格
            return str.replace(/(\s*$)/g,"");
        },
    };
  
    function shortenNumber(n){
        var bases = [
            { base: 100000000, unit: "亿" },
            { base: 10000, unit: "万" },
        ];
        var result = n.toFixed(2);
        for (var b in bases){
            if (n > bases[b].base){
                result = (n / bases[b].base).toFixed(2) + bases[b].unit;
                break;
            }
        }
        return result;
    }

    szBulkBulletinRenderer = function(bulletin){
        /* 格式化深圳大宗交易公告。返回格式化后的HTML。 */
        var content = bulletin.content();
        var lines = content.split("\n");
        var blocks = [];
        var stockBlockRenderer = function(block, fields){
            var html = "";
            html += "<table class='bulletin'>";
            for (var i = 0; i < fields.length; ++i){
                html += "<tr><th style='width:7em'>" + fields[i] + "</th><td>" + (block[i]? block[i]:"--") + "</td></tr>";
            } 
            html += "</table><hr/>";
            return html;
        };
        var bondBlockRenderer = function(block, fields){
            var html = "";
            html += "<table class='bulletin'>";
            for (var i = 0; i < fields.length; ++i){
                html += "<tr><th style='width:7em'>" + fields[i] + "</th><td>" + (block[i]? block[i]:"--") + "</td></tr>";
            } 
            html += "</table><hr/>";
            return html;
        };
        var TEXT = "TEXT";
        var BOND = "BOND";
        var STOCK = "STOCK";
        var bondFields = [];
        var stockFields = [];
        for (var i = 0; i < lines.length; i++){
            var line = lines[i];
            if (/权益类证券大宗交易（协议交易）/.test(line)){
                blocks.push([TEXT]);
                blocks.push(line.replace(/）.*/, "）").split("\t"));
                blocks.push([STOCK]);
                if (i + 1 < lines.length){
                    i++;
                    lines[i].split("\t").forEach(function(fieldName){
                        stockFields.push(fieldName);
                    });
                }
            } else if (/债券大宗交易（协议交易）/.test(line)){
                blocks.push([TEXT]);
                blocks.push(line.split("\t"));
                blocks.push([BOND]);
                if (i + 1 < lines.length){
                    i++;
                    lines[i].split("\t").forEach(function(fieldName){
                        bondFields.push(fieldName);
                    });
                }
            } else {
                blocks.push(line.split("\t"));
            }
        }
        var rendered = [];
        var state = TEXT;
        for (var x in blocks){
            var y = blocks[x];
            if (y.length == 1 && y[0] == BOND){
                state = BOND;
                continue;
            } else if (y.length == 1 && y[0] == STOCK){
                state = STOCK;
                continue;
            } else if (y.length == 1 && y[0] == TEXT){
                state = TEXT;
                continue;
            }
            if (state == TEXT){
                rendered.push(y.join(" "));
            } else if (state == BOND){
                rendered.push(bondBlockRenderer(y, bondFields));
            } else if (state == STOCK){
                rendered.push(stockBlockRenderer(y, stockFields));
            }
        }
        return rendered.join("<br/>");
    };

    shBulkBulletinRenderer = function(bulletin){
        /* 格式化上海大宗交易公告。返回格式化后的HTML。 */
        var content = bulletin.content();
        var lines = content.split("\n");
        var blocks = [];
        var stockBlockRenderer = function(block, fields){
            var html = "";
            html += "<table class='bulletin'>";
            for (var i = 0; i < fields.length; ++i){
                html += "<tr><th style='width:7em'>" + fields[i] + "</th><td>" + (block[i]? block[i]:"--") + "</td></tr>";
            } 
            html += "</table>";
            html += '<hr/>';    
            return html;
        };
        var bondBlockRenderer = function(block, fields){
            var html = "";
            html += "<table class='bulletin'>";
            for (var i = 0; i < fields.length; ++i){
                html += "<tr><th style='width:7em'>" + fields[i] + "</th><td>" + (block[i]? block[i]:"--") + "</td></tr>";
            } 
            html += "</table>";
            html += '<hr/>';    
            return html;
        };
        var TEXT = "TEXT";
        var BOND = "BOND";
        var STOCK = "STOCK";
        var bondFields = [];
        var stockFields = [];
        for (var i = 0; i < lines.length; i++){
            var line = lines[i];
            if (/股票基金信息/.test(line)){
                blocks.push([TEXT]);
                blocks.push(line.split("\t"));
                blocks.push([STOCK]);
                if (i + 1 < lines.length){
                    i++;
                    lines[i].split("\t").forEach(function(fieldName){
                        stockFields.push(fieldName);
                    });
                }
            } else if (/债券信息/.test(line)){
                blocks.push([TEXT]);
                blocks.push(line.split("\t"));
                blocks.push([BOND]);
                if (i + 1 < lines.length){
                    i++;
                    lines[i].split("\t").forEach(function(fieldName){
                        bondFields.push(fieldName);
                    });
                }
            } else {
                blocks.push(line.split("\t"));
            }
        }
        var rendered = [];
        var state = TEXT;
        for (var x in blocks){
            var y = blocks[x];
            if (y.length == 1 && y[0] == BOND){
                state = BOND;
                continue;
            } else if (y.length == 1 && y[0] == STOCK){
                state = STOCK;
                continue;
            } else if (y.length == 1 && y[0] == TEXT){
                state = TEXT;
                continue;
            }
            if (state == TEXT){
                rendered.push(y.join(" "));
            } else if (state == BOND){
                rendered.push(bondBlockRenderer(y, bondFields));
            } else if (state == STOCK){
                rendered.push(stockBlockRenderer(y, stockFields));
            }
        }
        return rendered.join("<br/>");
    };

    szInfoBulletinRenderer = function(bulletin){
        /* 格式化深圳公开市场信息公告。返回格式化后的HTML。 */
        var content = bulletin.content();
        var lines = content.split("\n");
        var rendered = [];
        var html = "";
        var State = {
            nil: 0,
            notice: 1,
            buyMost: 2,
            sellMost: 3,
            deltaMost: 4,
        };
        var state = State.nil;
        var inTable = false;
        var stateChanged = false;
        for (var i in lines){
            var line = String.trim(lines[i].replace(/\s+/g, " "));
            do {
                html = "";
                if (/证券代码/.test(line)){
                    //html = "<table class='bulletin'><tr><td>" + line.split(" ").join("</td><td>") + "</td></tr>";
                    html = "<table class='bulletin'><tr><td style='width:4em'>证券代码</td><td style='width:4em'>证券简称</td><td>披露原因</td></tr>";
                    state = State.notice;
                    inTable = true;
                    break;
                }
                if (/日涨幅偏离值达到7%的前五只证券/.test(line)){
                    state = State.deltaMost;
                    stateChange = true;
                    inTable = true;
                    html = "<br/>" + line + "<br/><hr/>";
/*
                    html += "<table class='bulletin'>";
                    html += "<tr><th style='width:4em'>证券</th><th style='width:6em'>涨跌幅偏离值</th><th>成交量</th><th>成交额</th></tr>";
*/
                    break;
                }
                if (/卖出金额最大的前5名/.test(line)){
                    html = "<br/>" + line + "<br/><hr/>";
/*
                    html += "<table class='bulletin'>";
                    html += "<tr><td>营业部或交易单元</td><td>买入金额</td><td>卖出金额</td></tr>";
                    inTable = true;
*/
                    state = State.sellMost;
                    stateChanged = true;
                    break;
                }
                if (/买入金额最大的前5名/.test(line)){
                    html = "<br/>" + line + "<br/><hr/>";
/*
                    html += "<table class='bulletin'>";
                    html += "<tr><td>营业部或交易单元</td><td>买入金额</td><td>卖出金额</td></tr>";
                    inTable = true;
*/
                    stateChanged = true;
                    state = State.buyMost;
                    break;
                }
                if (/详细信息/.test(line)){
                    html = "<br/>" + line + "<br/>";
                    state = State.nil;
                    stateChanged = true;
                    break;
                }
                if (state == State.nil){
                    break;
                }
                if (state == State.notice){
                    var pieces = line.split(" ");
                    var code = pieces[0];
                    if (code == ""){
                        break;
                    }
                    var reason = pieces[pieces.length - 1];
                    var name = "";
                    /* 股票名字中可能有空格。 */
                    for (var i = 1; i < pieces.length - 1; ++i){
                        name += pieces[i];
                    }
                    //console.log(code, name, reason);
                    html = "<tr><td>" + [code, name, reason].join("</td><td>") + "</td></tr>";
                    break;
                }
                if (state == State.deltaMost){
                    if (line == ""){
                        break;
                    }
                    var pieces = line.split(")");
                    var name = pieces[0] + ")";
                    pieces = String.trim(pieces[1]).split(" ");
                    var delta = pieces[0].split(":")[1];
                    var volumn = pieces[1].split(":")[1];
                    var amount = pieces[2].split(":")[1];
                    html += "<table><tr><th style='width:6em'>证券</th><td>" + name + "</td></tr>"
                         + "<tr><th style='width:6em'>涨跌幅偏离值</th><td>" + delta + "</td></tr>"
                         + "<tr><th>成交量</th><td>" + volumn + "</td></tr>"
                         + "<tr><th>成交额</th><td>" + amount + "</td></tr></table>";
                    break;
                }
                if (state == State.buyMost){
                    var pieces = line.split(" ");
                    if (pieces.length != 3){
                        break;
                    }
                    var unit = pieces[0];
                    var buy = parseFloat(pieces[1]);
                    var sell = parseFloat(pieces[2]);
                    if (isNaN(buy) || isNaN(sell)){
                        break;
                    }
                    buy = shortenNumber(buy) + "元";
                    sell = shortenNumber(sell) + "元";
                    html = "<table><tr><th style='width:4em'>营业部或交易单元</th><td>" + unit + "</td></tr>"
                         + "<tr><th>买入金额</th><td>" + buy + "</td></tr>"
                         + "<tr><th>卖出金额</th><td>" + sell + "</td></tr></table><hr/>";
                    break;
                }
                if (state == State.sellMost){
/*
                    var pieces = line.split(" ");
                    if (pieces.length != 3){
                        break;
                    }
                    if (isNaN(parseInt(pieces[1])) || isNaN(parseInt(pieces[2]))){
                        break;
                    }
                    html = "<tr><td>" + pieces.join("</td><td>") + "</td></tr>";
*/
                    var pieces = line.split(" ");
                    if (pieces.length != 3){
                        break;
                    }
                    var unit = pieces[0];
                    var buy = parseFloat(pieces[1]);
                    var sell = parseFloat(pieces[2]);
                    if (isNaN(buy) || isNaN(sell)){
                        break;
                    }
                    buy = shortenNumber(buy) + "元";
                    sell = shortenNumber(sell) + "元";
                    html = "<table><tr><th style='width:4em'>营业部或交易单元</th><td>" + unit + "</td></tr>"
                         + "<tr><th>买入金额</th><td>" + buy + "</td></tr>"
                         + "<tr><th>卖出金额</th><td>" + sell + "</td></tr></table><hr/>";
                    break;
                }
            } while (false);
            if (stateChanged && inTable){
                rendered.push("</table>");
                inTable = false;
            }
            stateChanged = false;
            if (html != ""){
                rendered.push(html);
            }
        }
        if (inTable){
            rendered.push("</table>");
        }
        /*
        console.log(rendered);
        console.log(bulletin.content());
        */
        return rendered.join("");;
    };

    BulletinType = {
        /* 公告类型。用于格式化公告。 */
        nil:0, //"未知类型",
        bulk:1, //"大宗交易",
        info:2, //"市场公开信息",
        info_gem:3, //"市场公开信息_创业板",
        info_small:4, //"市场公开信息_中小板",
    };
    Exchange = {
        /* 交易所。 */
        nil:0, //"未知类型",
        sz:1,// "深交所",
        sh:2,// "上交所",
        hk:3,// "港交所",
    };
    Bulletin = {
        create: function(title, content){
            var o = {
                _title: title,
                _content: content};
            o.title = function(){
                if (arguments.length > 0){
                    o._title = arguments[0];
                }
                return o._title;
            };
            o.content = function(){
                if (arguments.length > 0){
                    o._content = arguments[0];
                }
                return o._content;
            };
            return o;
        },
    };    
    Renderer = {
        create: function(renderFunction){
            var o = {
                render: function(x){
                    return this._renderFunction(x);
                },
                _renderFunction: renderFunction,
            };
            return o;
        },
    };
    BulletinDescription = {
        /* 公告描述符。 */
        create: function(type, exchange){
            var o = {};
            o._bulletinType = type;
            o._exchange = exchange;
            /* getter/setter */
            o.bulletinType = function(){
                if (arguments.length > 0){
                    o._bulletinType = arguments[0];
                }
                return o._bulletinType;
            };
            o.exchange = function(){
                if (arguments.length > 0){
                    o._exchange = arguments[0];
                }
                return o._exchange;
            };
            o.equal = function(rhs){
                return (this._bulletinType == rhs._bulletinType && this._exchange == rhs._exchange);
            };
            o.toString = function(){
                return this._bulletinType + "." + this._exchange;
            };
            return o;
        },
        fromBulletin: function(bulletin){
            var bulletinType = BulletinType.nil;
            var exchange = Exchange.nil;
            var title = bulletin.title();
            if (/大宗交易\(深\)/.test(title)){
                bulletinType = BulletinType.bulk;
                exchange = Exchange.sz;
            } else if (/大宗交易信息\(沪\)/.test(title)){
                bulletinType = BulletinType.bulk;
                exchange = Exchange.sh;
            } else if (/深圳证券市场中小企业板交易公开信息/.test(title)){
                bulletinType = BulletinType.info_small;
                exchange = Exchange.sz;
            } else if (/深圳证券市场A股交易公开信息/.test(title)){
                bulletinType = BulletinType.info;
                exchange = Exchange.sz;
            } else if (/深圳证券市场创业板公开信息/.test(title)){
                bulletinType = BulletinType.info_gem;
                exchange = Exchange.sz;
            }
            return BulletinDescription.create(bulletinType, exchange);
        },
    };
    BulletinRenderer = {
        initialize: function(){
            this.registerRenderer(BulletinDescription.create(BulletinType.bulk, Exchange.sz), 
                                  Renderer.create(szBulkBulletinRenderer));
            this.registerRenderer(BulletinDescription.create(BulletinType.bulk, Exchange.sh), 
                                  Renderer.create(shBulkBulletinRenderer));
            this.registerRenderer(BulletinDescription.create(BulletinType.info, Exchange.sz), 
                                  Renderer.create(szInfoBulletinRenderer));
            this.registerRenderer(BulletinDescription.create(BulletinType.info_gem, Exchange.sz), 
                                  Renderer.create(szInfoBulletinRenderer));
            this.registerRenderer(BulletinDescription.create(BulletinType.info_small, Exchange.sz), 
                                  Renderer.create(szInfoBulletinRenderer));
        },
        registerRenderer: function(bulletinDescription, renderer){
            this._renderers[bulletinDescription.toString()] = renderer;
        },
        getRenderer: function(bulletinDescription){
            var x = bulletinDescription;
            for (x in this._renderers){
                if (x == bulletinDescription.toString()){
                    return this._renderers[x];
                }
            }
            return this._defaultRenderer;
        },
        render: function(bulletin){
            var r = this.getRenderer(BulletinDescription.fromBulletin(bulletin));
            return r.render(bulletin);
        },
        _defaultRenderer: Renderer.create(function(bulletin){
            return bulletin.content()
                .replace(/\n/g, "<br/>")
                .replace(/\s+/g, "&nbsp;");
        }),
        _renderers: {},
    };
    BulletinRenderer.initialize();

    var views = window.views = window.views || {};
    views.baseView = Backbone.View.extend({
        initialize: function(ops){
            this.init(ops);
        },
        init: function(){},
        tap: ("ontouchstart" in window && isApp != 'ios' && navigator.userAgent.indexOf("mac",0) == -1) ? "touchend" : "click"
    })

    views.Content = views.baseView.extend({
        id: "",
        // comefrom: "",
        template: _.template(htmls.arti.join("")),

        init: function(){
            $(".arti-wrap").html(this.el);
            this.id = paramObj.id;
            // this.comefrom = paramObj.comefrom;
            this.getData({ID: this.id});
            var $this = this;
            $(window).resize(function(){
                $this.freshContent();
            })
        },
        getData: function(){},
        freshContent: function(){
            var wHeight = $(window).height();
            var tHeight = $(".title-wrap").height();
            var height = wHeight - tHeight - 3.5 * parseInt($(".arti-wrap").css("font-size"));
            $(".content").height(height);
            $(".content .scroll").width($(".content").width());
            $(".content .content-detail").attr("scrollWidth", 0)
            if($(".content .content-detail").height() > height){
                if("ontouchstart" in window)
                    $(".content .scroll").width($(".content").width() + 2);
                else 
                    $(".content .scroll").width($(".content").width() + 17);
            }           
        }
    });

    views.NewsContent = views.Content.extend({
        getData: function(ops){
            Net.NewsContent(ops, $.proxy(this.showContent, this))
        },
        showContent: function(data){
            try{
                if(!data.NewsContent[0][0]){
                    window.ShortTips.install("查询数据为空");
                    return; 
                }
            }catch(e){
                window.ShortTips.install("查询数据为空");
                return
            }
            var datas = (data && data.NewsContent && data.NewsContent[0] && data.NewsContent[0][0]) || {};
            datas.Abstract = datas.Abstract || "";
            var publishPlace = (datas.Abstract && datas.Abstract.substring(datas.Abstract.indexOf("【"), datas.Abstract.indexOf("】") + 1)) || "";
            var abstract = datas.Abstract;
            
            formatdata = {
                title: datas.Title, 
                /*comefrom: this.comefrom, */
                datetime: datas.Time && datas.Time.substring(0, datas.Time.lastIndexOf(":")),
                content: "<p></p><p style='text-align: right; padding-right: 0.8em;'>" + publishPlace + "</p>"
            };
            if(abstract){
                // abstract = abstract.replace(/<\\p>/g, "&").replace(/<p>/g, "#");
                // var da = "", flag = false;
                // console.log("abstract", abstract);
                // for(var i = 0; i < abstract.length; i++){
                //     da += abstract[i];
                //     if(abstract[i] == "<"){
                //         flag = true;
                //         continue;
                //     }
                //     if(abstract[i] == ">"){
                //         flag = false;
                //         continue;
                //     }
                //     if(flag){
                //         continue
                //     }
                //     console.log(1111111);
                //     //da += " ";
                // }
                // console.log("da", da);
                formatdata.content = abstract/*.replace(/&/g, "<\p>").replace(/#/g, "<p>")*/.replace(/(\s)*<p>(\s)*/g, "<p>").replace(/(\s)*<\/p>(\s)*/g, "</p>").replace(/\r/g, "").replace(/\n/g, "<br/>").replace(/\t/g, "&nbsp;&nbsp;&nbsp;&nbsp;").replace(/ /g, "&nbsp;").replace(/【\S*】/, "") + formatdata.content;
            }
            this.$el.html(this.template(formatdata));
            this.freshContent();
            //try{TalkingData.onEventWithLabel('个股详情F10', "行情-个股详情F10-新闻详情");}catch(err) {}
            // console.log("返回详情数据: ", data);
        }
    });

    views.NoticesContent = views.Content.extend({
        getData: function(ops){
            Net.BulletinContent(ops, $.proxy(this.showContent, this))
        },
        showContent: function(data){
            try{
                if(!data.BulletinContent[0][0]){
                    window.ShortTips.install("查询数据为空");
                    return; 
                }
            }catch(e){
                window.ShortTips.install("查询数据为空");
                return
            }
            var datas = (data && data.BulletinContent && data.BulletinContent[0] && data.BulletinContent[0][0]) || {},
            datetime = datas.PublishDate && datas.PublishDate.substring(0, datas.PublishDate.lastIndexOf(":")),
            title = datas.BulletinTitle || "",
            //content = (datas.BulletinAbstract || "").replace(/(\s)*<p>(\s)*/g, "<p>").replace(/(\s)*<\/p>(\s)*/g, "</p>").replace(/\r/g, "").replace(/\n/g, "<br/>");
            content = (datas.BulletinAbstract || "");
            //console.log(content);
            content = BulletinRenderer.render(Bulletin.create(title, content));
            formatdata = {title: title, datetime: datetime, content: content};
            this.$el.html(this.template(formatdata));
            this.freshContent();
            //try{TalkingData.onEventWithLabel('个股详情F10', "行情-个股详情F10-公告详情");}catch(err) {}
        },

        productTable: function(datas){
            datas = this.formatJson(datas);
            var tpl = _.template(htmls.company_intro.join("")), l = datas.length, i, html="", j, t;
            console.log("datas: ", datas);
            for(i = 0; i < l; i++){
                t = datas[i].length;
                html += '<div class="block-wrap">';
                for(j = 0; j < t; j++){
                    html += tpl(datas[i][j]);
                } 
                html += '</div>';    
            }
            return html;
        },

        formatJson: function(data){
            var l = data.length, i, html="", j, t, datas = [];
            for(i = 1; i < l; i++){
                datas[i-1] = [];
                t = data[i].length;
                for(j = 0; j < t; j++){
                    datas[i-1].push({
                        key: data[0][j],
                        value: data[i][j]
                    })
                }
            }
            return datas;
        },

        formatArticleData: function(tmp, splitArray){
            tmp = tmp || [], splitArray = splitArray || [];
            var l = tmp.length, t = splitArray.length, i, j, tmpObj, deleteData, tmpnum = 0;
            for(j = 0; j < t; j++){
                tmpObj = splitArray[j];
                deleteData = tmp.splice(tmpObj.startAt - tmpnum, tmpObj.content - tmpObj.startAt + 1);
                tmp.splice(tmpObj.startAt - tmpnum, 0, this.productTable(deleteData));
                tmpnum += tmpObj.content - tmpObj.startAt;
            }
            for(i = 0; i < l; i++){
                _.isArray(tmp[i]) && (tmp[i] = tmp[i].join("&nbsp;&nbsp;&nbsp;&nbsp;"));
            }
            return tmp.join("<br>");
        }

    });

    views.ReportsContent = views.Content.extend({
        getData: function(ops){
            Net.BSCContent(ops, $.proxy(this.showContent, this))
        },
        showContent: function(data){
            try{
                if(!data.BSCContent[0][0]){
                    window.ShortTips.install("查询数据为空");
                    return; 
                }
            }catch(e){
                window.ShortTips.install("查询数据为空");
                return
            }
            var datas = (data && data.BSCContent && data.BSCContent[0] && data.BSCContent[0][0]) || {};
            formatdata = {title: datas.Title,/* comefrom: this.comefrom,*/ datetime: datas.Time && datas.Time.substring(0, datas.Time.lastIndexOf(":")), content: datas.Content && datas.Content.replace(/(\s)*<p>(\s)*/g, "<p>").replace(/(\s)*<\/p>(\s)*/g, "</p>").replace(/\r/g, "").replace(/\n/g, "<br/>").replace(/\t/g, "&nbsp;&nbsp;&nbsp;&nbsp;").replace(/ /g, "&nbsp;&nbsp;")};
            this.$el.html(this.template(formatdata));
            this.freshContent();
            //try{TalkingData.onEventWithLabel('个股详情F10', "行情-个股详情F10-研报详情");}catch(err) {}
            // console.log("返回详情数据: ", data);
        }
    });
})();

(function(){
    var _stockKind = ""
    //判断股票类型，显示不同的页面。
    Net.StockCategory({Code: code}, function(data){
        var datas = (data && data.StockCategory && data.StockCategory[0] && data.StockCategory[0][0]) || {};
        _stockKind = k_vCodeKind(datas.CategoryCode)
        config.navs = config.kinds[_stockKind];
        var type = window.paramObj.type;
        new views[config.navs[type].contentView]();
        insertDisclaimer();
        window.onunload = function() {
            Net.Log(config.navs[type].name + " 文章详情");
        }; 
    }) 
    function k_vCodeKind(tcode){
        var ecode = (tcode || "").substring(0, 3);
        switch(ecode){
        case "002":
            return "jj";
            break;
        case "003":
            if(tcode == "003004")
                return "kzz";
            else
                return "zq";
            break;
        case "004":
            return "hg";
            break;
        case "005":
            return "jj";
            break;
        default:
            return "gp";
            break; 
        }
    }   
})();

function insertDisclaimer(){
    var disclaimerText = config.disclaimer2;
    var element = document.createElement('div');
    element.className = 'Disclaimer';
    element.innerHTML = disclaimerText;

    var parentDom = document.getElementsByTagName('body')[0];
    if (parentDom){
        parentDom.appendChild(element);
    }
}
