;
(function() {
  var views = window.views = window.views || {};

  views.baseView = Backbone.View.extend({
    initialize: function(ops, stockName) {
      var type = this.type = paramObj.type;
      $(".loading").hide();
      $(".main .list-main-title").html(config.navs[type].name);
      $(".main .list-sub-title").html("( " + code + ":" + stockName + " )");
      this.init(ops);
      if (this.touchmove == "touchmove") {
        this.listenToEvents($(window), "touchstart", function() {
          this.moving = false;
        });
        this.listenToEvents($(window), "touchmove", function() {
          this.moving = true;
        });
      }
    },
    touchmove: "ontouchmove" in window ? "touchmove" : "mouseup",
    init: function() {},
    tap: ("ontouchstart" in window && isApp != 'ios' && navigator.userAgent.indexOf("mac") == -1) ? "touchend" : "click",
    listenToEvents: function($target, ev, callback) {
      $target.off(ev).on(ev, $.proxy(function(e) {
        if (ev == "touchend" || ev == "click") {
          var $this = this;

          function doEvent() {
            if (!$this.moving) {
              callback.call($this, e);
            }
          }
          doEvent();
        } else {
          callback.call(this, e);
        }
      }, this));
    }
  });
  //列表
  views.List = views.baseView.extend({
    template: _.template(htmls.list.join("")),
    offset: 0,
    title: "",
    init: function(ops) {
      $(".main-content > div").hide();
      this.insertEL();
      this.$el.parent().show();
      if (!ops) {
        return;
      }
      this.ops = ops;
      this.ops.Size = 999999;
      this.getNews(ops, this.offset);
    },
    insertEL: function() {},
    getNews: function(ops) {},
    getDetail: function(e) {
      var $target = $(e.target);
      if (!$target.is("li")) $target = $target.parents("li");
      var id = $target.attr("data-cid"),
        comefrom = $target.attr("data-come"),
        t = {};
      t = JSON.stringify(_.extend(t, paramObj, {
        id: id /*, comefrom: comefrom*/
      }));
      t = _.AESmodel().encryptURI(t);
      if (isApp === "android") {
        window.demo.saveParams('article_detail.html', ['t=', t, "&cn=", DOMAIN_NAME].join(""))
        // window.open("finance_detail.html");
      } else {
        window.open("article_detail.html?t=" + t);
      }
      //window.open("article_detail.html?t=" + t + "&dn=" + DOMAIN_NAME);
    }
  });

  views.News = views.List.extend({
    tagName: "ul",
    className: "news",
    insertEL: function() {
      if ($(".list ul.news").length < 1) {
        this.$el.appendTo(".list").show();
        return;
      }
      if (this.$el.find("li").length < 1) {
        window.ShortTips.install("数据记录为0条");
        return;
      }
      this.$el.show();
    },
    getNews: function(ops, offset) {
      Net.NewsTitle(ops, $.proxy(this.showNews, this, offset));
    },
    showNews: function(offset, data) {
      offset = offset || 0;
      var datas = (data && data.NewsTitile && data.NewsTitile[0]) || [],
        l = datas.length;
      for (var i = offset; i < l; i++) {
        var datetime = datas[i].Time,
          date = datetime.substring(0, datetime.indexOf(" ")),
          time = datetime.substring(datetime.indexOf(" ") + 1);
        datas[i].date = date;
        datas[i].time = time;
        datas[i].id = datas[i].ID; /* datas[i].comefrom =  datas[i].Author || "";*/
        this.$el.append(this.template(datas[i]));
      }
      this.offset = this.$el.find("li").length;
      if (this.offset < 1) {
        window.ShortTips.install("数据记录为0条");
        return;
      }
      this.listenToEvents(this.$el.find("li"), this.tap, this.getDetail);
      //try{TalkingData.onEventWithLabel('个股详情F10', "行情-个股详情F10-新闻列表");}catch(err) {}
    }
  });

  views.Notices = views.List.extend({
    tagName: "ul",
    className: "notices",
    insertEL: function() {
      if ($(".list ul.notices").length < 1) {
        this.$el.appendTo(".list").show();
        return;
      }
      if (this.$el.find("li").length < 1) {
        window.ShortTips.install("数据记录为0条");
        return;
      }
      this.$el.show();
    },
    getNews: function(ops, offset) {
      Net.BulletinTitle(ops, $.proxy(this.showNews, this, offset));
    },
    showNews: function(offset, data) {
      // console.log("返回数据：", data);
      offset = offset || 0;
      var datas = (data && data.BulletinTitile && data.BulletinTitile[0]) || [],
        l = datas.length;
      for (var i = offset; i < l; i++) {
        datas[i].Title = datas[i].BulletinTitle;
        var datetime = datas[i].PublishDate,
          date = datetime.substring(0, datetime.indexOf(" ")),
          time = datetime.substring(datetime.indexOf(" ") + 1, datetime.indexOf("."));
        datas[i].date = date;
        datas[i].time = time;
        datas[i].id = datas[i].ID; /* datas[i].comefrom =  datas[i].CategoryName || "";*/
        this.$el.append(this.template(datas[i]));
      }
      this.$el.find(".time").hide();
      this.offset = this.$el.find("li").length;
      if (this.offset < 1) {
        window.ShortTips.install("数据记录为0条");
        return;
      }
      this.listenToEvents(this.$el.find("li"), this.tap, this.getDetail);
      //try{TalkingData.onEventWithLabel('个股详情F10', "行情-个股详情F10-公告列表");}catch(err) {}
    }
  });

  views.Reports = views.List.extend({
    tagName: "ul",
    className: "reports",
    insertEL: function() {
      if ($(".list ul.reports").length < 1) {
        this.$el.appendTo(".list").show();
        return;
      }
      if (this.$el.find("li").length < 1) {
        window.ShortTips.install("数据记录为0条");
        return;
      }
      this.$el.show();
    },
    getNews: function(ops, offset) {
      Net.BSCTitle(ops, $.proxy(this.showNews, this, offset));
    },
    showNews: function(offset, data) {
      // console.log("返回数据：", data);
      offset = offset || 0;
      var datas = (data && data.BSCTitle && data.BSCTitle[0]) || [],
        l = datas.length;
      for (var i = offset; i < l; i++) {
        var datetime = datas[i].Time,
          date = datetime.substring(0, datetime.indexOf(" ")),
          time = datetime.substring(datetime.indexOf(" ") + 1, datetime.indexOf("."));
        datas[i].date = date;
        datas[i].time = time;
        datas[i].id = datas[i].GUID; /* datas[i].comefrom =  datas[i].OrgName || "";*/
        if (!datas[i].OrgName) {
          datas[i].Title = datas[i].Title;
        } else {
          datas[i].Title = "【" + datas[i].OrgName + "】" + datas[i].Title;
        }

        this.$el.append(this.template(datas[i]));
      }
      this.$el.find(".time").hide();
      this.offset = this.$el.find("li").length;
      if (this.offset < 1) {
        window.ShortTips.install("数据记录为0条");
        return;
      }
      this.listenToEvents(this.$el.find("li"), this.tap, this.getDetail);
      //try{TalkingData.onEventWithLabel('个股详情F10', "行情-个股详情F10-研报列表");}catch(err) {}
    }
  });

  //个股诊断
  views.Diagnosis = views.baseView.extend({
    className: "diagnosis",
    init: function(ops) {
      $(".main-content > div").hide();
      var flag = false,
        deferr = [];
      if ($(".main-content .diagnosis").length < 1) {
        flag = true;
        this.$el.html(htmls.diag.join("")).appendTo(".main-content");
        this.bgcolor = this.$el.css("background-color");
        deferr.push(this.getGrade(ops));
        deferr.push(this.getPE(ops));
        deferr.push(this.getProfit(ops));
        deferr.push(this.getTrend(ops));
        deferr = _.union(deferr, this.reFreshGraph(ops));
      }
      var $this = this;
      $(window).off().resize(function() {
        var tmpWidth = $this.$el.find(".data-graph:first-child").width();
        if (tmpWidth != $this.width && $(".main-content .diagnosis").is(":visible")) {
          $this.reFreshGraph(ops);
        }
      });
      this.$el.show();
      //try{TalkingData.onEventWithLabel('个股详情F10', "行情-个股详情F10-个股诊断详情");}catch(err) {}
    },

    reFreshGraph: function(ops) {
      this.width = this.$el.find(".data-graph:first-child").width() - 4;
      deferr5 = this.getGraphFund(ops);
      deferr6 = this.getGraphRank(ops);
      deferr7 = this.getGraphProfit(ops);
      deferr8 = this.getGraphData(ops);
      document.querySelector(".main").className = 'main chart-main';
      return [deferr5, deferr6, deferr7, deferr8];

      // return [deferr5];
    },
    //等级评级
    getGrade: function(ops) {
      var $this = this;
      if (this.GradeData) {
        doGrade(this.GradeData);
        return null;
      }
      return Net.Grade(ops, function(data) {
        var datas = this.GradeData = (data && data.Grade && data.Grade[0] && data.Grade[0][0]) || {}
        doGrade(datas)
      });

      function doGrade(datas) {
        datas.JGPM = "--", datas.FZKJ = "--";
        datas.date = datas.Chg_dt.replace(/-/, "").replace(/-/, ".").substring(4, 9);
        $this.$el.find(".research-wrap").html(_.template(htmls.diag_research.join(""))(_.extend({}, {
          date: "--",
          QLMRRS: "--",
          MRRS: "--",
          GWRS: "--",
          SDJCRS: "--",
          MCRS: "--",
          ZHPJ: "--",
          JGCG: "--",
          JTPM: "--",
          ZHMBJ12: "--",
          Now: "--",
          ZGB: "--"
        }, datas)));
        var star = datas.Star || 0,
          floorStar = Math.floor(star),
          prestar = parseFloat(datas.Pre_Star) || 0,
          preFloorStar = Math.floor(prestar),
          starWrap = $($(".master-research-wrap")[0]),
          preStarWrap = $($(".master-research-wrap")[1]);
        //preFloorStar = floorStar;//liyuzhong 20170313修改，修改原因：3.0跟4.0的数据不一致
        if (floorStar < star) {
          starWrap.find(".star-five:eq(" + floorStar + ")").addClass("half");
        }
        starWrap.find(".star-five:gt(" + (floorStar) + ")").addClass("disable");
        if (preFloorStar < prestar) {
          preStarWrap.find(".star-five:eq(" + preFloorStar + ")").addClass("half");
        }
        preStarWrap.find(".star-five:gt(" + (preFloorStar) + ")").addClass("disable");

        // var star = datas.Star || 0, floorStar, prestar = datas.Pre_Star || 0, preFloorStar,
        //     starWrap = $($(".master-research-wrap")[0]), preStarWrap = $($(".master-research-wrap")[1]);
        // star < 0 && (star = 0), star > 5 && (star = 5), floorStar = Math.floor(star);
        // prestar < 0 && (prestar = 0), prestar > 5 && (prestar = 5), preFloorStar = Math.floor(star);
        // if(floorStar < star){starWrap.find(".star-five:eq(" + floorStar + ")").addClass("half");}
        // starWrap.find(".star-five:gt(" + floorStar + ")").addClass("disable");
        // if(preFloorStar < prestar){preStarWrap.find(".star-five:eq(" + preFloorStar + ")").addClass("half");}
        // preStarWrap.find(".star-five:gt(" + preFloorStar + ")").addClass("disable");

        function setPosition() {
          var tmpdatas = ["强力买入", "买入", "观望", "适度减持", "卖出"],
            dw = $this.$el.find(".grade-entry-wrap .grade-entry").width();
          $this.$el.find(".grade-entry-wrap").css({
            "left": (tmpdatas.indexOf(datas.ZHPJ || "观望") * 20 + 10) + "%",
            "margin-left": (0 - dw) / 2
          });
        }
        setPosition();
        $this.$el.find(".data-graph-1 .text").html(_.template(htmls.diag_datagraph1.join(""))(_.extend({}, {
          JJCG: "--",
          ZGB: "--",
          SQJJCG: "--"
        }, datas)));
      }
    },
    //业绩排名
    getPE: function(ops) {
      var $this = this;
      if (this.GradeData) {
        doPE(this.PEData);
        return null;
      }
      return Net.PE(ops, function(data) {
        var datas = this.PEData = (data && data.PE && data.PE[0] && data.PE[0][0]) || {};
        //console.log("排名:", datas)
        doPE(datas);
      });

      function doPE(datas) {
        $this.$el.find(".data-graph-2 .text").html(_.template(htmls.diag_datagraph2.join(""))(_.extend({}, {
          Ranking: "--",
          value_all: "--",
          ind_value_avg: "--",
          mak_value_avg: "--"
        }, datas)));
      }
    },
    //利润
    getProfit: function(ops) {
      var $this = this;
      if (this.EPSData) {
        doEPS(this.EPSData);
        return null;
      }
      return Net.EPS(ops, function(data) {
        var datas = this.EPSData = (data && data.EPS && data.EPS[0] && data.EPS[0][0]) || {};
        // console.log("利润:", datas)
        doEPS(datas);
      });

      function doEPS(datas) {
        $this.$el.find(".data-graph-3 .text").html(_.template(htmls.diag_datagraph3.join(""))(_.extend({}, {
          T_EPS: "--",
          T_grona_stk: "--",
          rank_T_grona_stk: "--",
          T_grona_ind: "--",
          T3_grona_stk: "--"
        }, datas)));
      }
    },
    getTrend: function(ops) {
      var $this = this;
      if (this.GatherData) {
        doGather(this.GatherData);
        return null;
      }
      return Net.Gather(ops, function(data) {
        var datas = this.GatherData = (data && data.Gather && data.Gather[0] && data.Gather[0][0]) || {};
        // console.log("趋势:", datas)
        doGather(datas);
      });

      function doGather(datas) {
        $this.$el.find(".data-graph-4 .text").html(_.template(htmls.diag_datagraph4.join(""))(_.extend({}, {
          YZZJL: "--",
          YZHYZJL: "--",
          YZSCZJL: "--"
        }, datas)));
        $this.$el.find(".data-graph-5 .text").html(_.template(htmls.diag_datagraph5.join(""))(_.extend({}, {
          YRZDF: "--",
          YRHSL: "--",
          YZZDF: "--",
          Weather: "--",
          DRCJL: "--",
          QYRCJL: "--",
          YZHYZDF: "--",
          YZSCZDF: "--"
        }, datas)));
      }

    },
    getGraphFund: function(ops) {
      var $this = this;
      if (this.FinanceGraphData) {
        doFinance(this.FinanceGraphData);
        return null;
      }
      return Net.Finance(ops, function(reqdata) {
        var datas = this.FinanceGraphData = (reqdata && reqdata.Finance && reqdata.Finance[0]);
        doFinance(datas);
      });

      function doFinance(datas) {
        //data 柱状图，data1 折线图 data2区域图
        $("#chartFund").parents(".chart").show();
        var data = [],
          data1 = [{
            name: [""],
            value: [],
            color: '#F5A623',
            line_width: 2
          }],
          data2 = [{
            name: [""],
            value: [],
            color: '#0139AA',
            line_width: 2
          }],
          swicthDate = {
            Q1: "03/",
            Q2: "06/",
            Q3: "09/",
            Q4: "12/"
          };
        var labels = [];
        var max = _.toFixedn(datas[0].LTGB, 1),
          rmax = _.toFixedn(datas[0].JGCGBL, 1),
          tmp = 0,
          l, i, j;
        datas = _.sortBy(datas, function(ops) {
          return ops.Rpt_yr.substring(2) + swicthDate[ops.Rpt_interval]
        }), l = datas.length, tmpdatas = [];
        for (i = 0; i < l; i++) {
          if (datas[i].Rpt_interval == "Q2" || datas[i].Rpt_interval == "Q4") {
            tmpdatas.push(datas[i]);
          };
        }
        l = tmpdatas.length, datas = tmpdatas;
        tmpdatas = null;
        var space = ' ';
        for (i = 0; i < l; i++) {
          space = (l >= 5 && i % 2 == 1) ? (space + ' ') : space;
          tmp = _.toFixedn(datas[i].LTGB, 1), j++;
          data.push({
            name: ((l >= 5 && i % 2 == 1) ? space : (swicthDate[datas[i].Rpt_interval] + datas[i].Rpt_yr.substring(2))),
            value: tmp,
            color: '#589DFC'
          });
          labels.push(l >= 5 && i % 2 == 1 ? "" : swicthDate[datas[i].Rpt_interval] + datas[i].Rpt_yr.substring(2))
          data[data.length]
          if (max < tmp) max = tmp;
          tmp = _.toFixedn(datas[i].JGCG, 1);
          if (max < tmp) max = tmp;
          if (datas[i].Rpt_interval == "Q2" || datas[i].Rpt_interval == "Q4") {
            data2[0].value.push(tmp);
          };
          //data2[0].value.push(tmp);
          tmp = _.toFixedn(datas[i].JGCGBL, 1);
          if (datas[i].Rpt_interval == "Q2" || datas[i].Rpt_interval == "Q4") {
            data1[0].value.push(tmp);
          }
          if (rmax < tmp) rmax = tmp;
        }
        document.querySelector("#chartFund").style.height = (document.querySelector("#chartFund").offsetWidth * 0.5)+'px';
        option1.xAxis[0].data = labels;
        option1.series[0].data = data1[0].value;
        option1.series[1].data = data2[0].value;
        var chart1 = echarts.init(document.getElementById('chartFund'));
        chart1.setOption(option1);
        window.onresize = function(){
          chart1.resize();
        }
      }
    },
    getGraphRank: function(ops) {
      var $this = this;
      if (this.IndHistData) {
        doIndHist(this.IndHistData);
        return null;
      }
      return Net.IndHist(ops, function(reqdata) {
        var datas = this.IndHistData = reqdata && reqdata.IndHist && reqdata.IndHist[0];
        doIndHist(datas);
      })

      function doIndHist(datas) {
        var data = [],
          data1 = [{
            name: [""],
            value: [],
            color: '#CD3BEB',
            line_width: 2
          }],
          data2 = [{
            name: [""],
            value: [],
            color: '#F5A623',
            line_width: 2
          }];
        datas = _.sortBy(datas, function(ops) {
          return ops.Qotdate.substring(2, 10)
        });
        var bardata = [];
        var fields = [];
        var max = 0,
          tmpNum = 0,
          l = datas.length,
          i;
        var _item;
        for (i = 0; i < l; i++) {
          tmpNum = _.toFixedn(datas[i].F2S01, 1);
          _item = {
            name: ((l >= 5 && i % 2 == 1) ? "" : datas[i].Qotdate.substring(5, 7) + "/" + datas[i].Qotdate.substring(2, 4)),
            value: tmpNum,
            color: '#589DFC'
          };
          data.push(_item);
          fields.push(_item.name);
          bardata.push(_item.value);

          if (parseFloat(max) < parseFloat(tmpNum)) max = tmpNum;
          tmpNum = _.toFixedn(datas[i].Hy_Avg, 1);
          if (parseFloat(max) < parseFloat(tmpNum)) max = tmpNum;
          data1[0].value.push(tmpNum);
          tmpNum = _.toFixedn(datas[i].Sc_Avg, 1);
          if (parseFloat(max) < parseFloat(tmpNum)) max = tmpNum;
          data2[0].value.push(tmpNum);
        }

        $("#chartRank").parents(".chart").show();
        document.querySelector("#chartRank").style.height = (document.querySelector("#chartRank").offsetWidth * 0.5)+'px';
        option2.xAxis[0].data = fields;
        option2.series[0].data = bardata;
        option2.series[1].data = data1[0].value;
        option2.series[2].data = data2[0].value;
        var chart2 = echarts.init(document.getElementById('chartRank'));
        chart2.setOption(option2);
        window.onresize = function(){
          chart1.resize();
        }
      }
    },
    getGraphProfit: function(ops) {
      var $this = this;
      if (this.ForecastData) {
        doForecast(this.ForecastData);
        return null;
      }
      return Net.Forecast(ops, function(reqdata) {
        var datas = reqdata && reqdata.Forecast && reqdata.Forecast[0];
        doForecast(datas);
      });

      function doForecast(datas) {
        var data = [{
            name: '',
            value: [],
            color: '#589DFC',
            line_width: 2
          }],
          data1 = [{
            name: '',
            value: [],
            color: '#E4B553',
            line_width: 2
          }],
          swicthDate = {
            Q1: "-03-31",
            Q2: "-06-30",
            Q3: "-09-30",
            Q4: "-12-31"
          },
          labels = [];

        //只截取前五个年份
        var tmp = [];
        tmp[0] = datas[0];
        tmp[1] = datas[1];
        tmp[2] = datas[2];
        tmp[3] = datas[3];
        tmp[4] = datas[4];

        datas = tmp;

        datas = _.sortBy(datas, function(ops) {
          return ops.F1200 /*.substring(2) + swicthDate[ops.Rpt_interval]*/
        });
        var l = datas.length,
          i;
        l > 5 && (l = 5);
        for (i = 0; i < l; i++) {
          //data[1].value.push(_.toFixedn(datas[i].JJCGBL, 1));
          data1[0].value.push(_.toFixedn(datas[i].JJCG, 1));
        }

        labels.push(datas[l - 1].F1200 - 4);
        labels.push(datas[l - 1].F1200 - 3);
        labels.push(datas[l - 1].F1200 - 2);
        labels.push(datas[l - 1].F1200 - 1);
        labels.push(datas[l - 1].F1200);
        data[0].value.push(_.toFixedn(datas[0].F223B || 0, 1));
        data[0].value.push(_.toFixedn(datas[0].F223A || 0, 1));
        data[0].value.push(_.toFixedn(datas[0].F2237 || 0, 1));
        data[0].value.push(_.toFixedn(datas[0].F2236 || 0, 1));
        data[0].value.push(_.toFixedn(datas[0].F2230 || 0, 1));
        
        $("#chartProfit").parents(".chart").show();
        document.querySelector("#chartProfit").style.height = (document.querySelector("#chartProfit").offsetWidth * 0.5)+'px';
        option5.xAxis[0].data = labels;
        option5.series[0].data = data[0].value;
        var chart5 = echarts.init(document.getElementById('chartProfit'));
        chart5.setOption(option5);
        window.onresize = function(){
          chart5.resize();
        }
      }
    },
    getGraphData: function(ops) {
      var $this = this;
      if (this.ZJLXData) {
        doZJLX(this.ZJLXData);
        return null;
      }
      return Net.ZJLX(ops, function(serdata) {
        var datas = serdata && serdata.ZJLX && serdata.ZJLX[0] && serdata.ZJLX[0][0];
        doZJLX(datas);
      });

      function doZJLX(datas) {
        $this.getGraphTrend(datas);
        $this.getGraphMask(datas);
      }
    },
    getGraphTrend: function(datas) {
      var $this = this;
      $("#chartTrend").parents(".chart").show();
      var t;

      var _data = [];
      var line_data = [{
        name: [""],
        value: [
          datas.Rk_HY_2663,
          datas.Rk_HY_2662,
          datas.Rk_HY_2665,
          datas.Rk_HY_2661,
          datas.Rk_HY_2664,
          datas.Rk_HY_2660
          // datas.ZJLX_2653 / 100000000,
          // datas.ZJLX_2652 / 100000000,
          // datas.ZJLX_2655 / 100000000,
          // datas.ZJLX_2651 / 100000000,
          // datas.ZJLX_2654 / 100000000,
          // datas.ZJLX_2650 / 100000000,
        ],
        color: "#F5A623",
        line_width: 2
      }];
      var bardata = [];
      var fields = [];
      fields.push("近半年");
      bardata.push(_.toFixedn(datas.ZJLX_2653/100000000));
      fields.push("近3月");
      bardata.push(_.toFixedn(datas.ZJLX_2652/100000000));
      fields.push("上1月");
      bardata.push(_.toFixedn(datas.ZJLX_2655/100000000));
      fields.push("近1月");
      bardata.push(_.toFixedn(datas.ZJLX_2651/100000000));
      fields.push("上1周");
      bardata.push(_.toFixedn(datas.ZJLX_2654/100000000));
      fields.push("近1周");
      bardata.push(_.toFixedn(datas.ZJLX_2650/100000000));

      document.querySelector("#chartTrend").style.height = (document.querySelector("#chartTrend").offsetWidth * 0.5)+'px';
        if(window.innerWidth < 360){
          option3.xAxis[0].axisLabel.rotate = 45;
        }
        option3.xAxis[0].data = fields;
        option3.series[0].data = bardata;
        option3.series[1].data = line_data[0].value;
        var chart3 = echarts.init(document.getElementById('chartTrend'));
        chart3.setOption(option3);
        window.onresize = function(){
          chart1.resize();
        }
    },
    getGraphMask: function(datas) {
      var $this = this;
      $("#chartMask").parents(".chart").show();
      var label = {
        fontsize: 11,
        fontweight: 600,
        color: '#A3A5BF',
        // gradient: false,
        font: "微软雅黑"
      },
      data = [
				         	{
				         		name : '个股涨跌幅',
				         		value:[datas.ZDF_2614,datas.ZDF_2613,datas.ZDF_2612,datas.ZDF_2611,datas.ZDF_2610],
				         		color:'#F5A623'
				         	},
				         	{
				         		name : '沪深300涨跌幅',
				         		value:[datas.HS300_ZDF_8114,datas.HS300_ZDF_8113,datas.HS300_ZDF_8112,datas.HS300_ZDF_8111,datas.HS300_ZDF_8110],
				         		color:'#CD3BEB'
				         	},
                  {
                    name : '行业涨跌幅',
                    value:[datas.HY_ZDF_0314,datas.HY_ZDF_0313,datas.HY_ZDF_0312,datas.HY_ZDF_0311,datas.HY_ZDF_0310],
                    color:'#589dfc'
                  }
                ];
        document.querySelector("#chartMask").style.height = (document.querySelector("#chartMask").offsetWidth * 0.5)+'px';
        if(window.innerWidth < 360){
          option4.xAxis[0].axisLabel.rotate = 45;
        }
        option4.xAxis[0].data = ["一年","半年","三月","一月","一周"];
        option4.series[0].data = data[0].value
        option4.series[1].data = data[1].value;
        option4.series[2].data = data[2].value;
        var chart4 = echarts.init(document.getElementById('chartMask'));
        chart4.setOption(option4);
        window.onresize = function(){
          chart4.resize();
        }
    }
  })
})();
(function() {
  var _stockKind = ""
  //判断股票类型，显示不同的页面。
  Net.StockCategory({
    Code: code
  }, function(data) {
    var datas = (data && data.StockCategory && data.StockCategory[0] && data.StockCategory[0][0]) || {};
    _stockKind = k_vCodeKind(datas.CategoryCode)
    config.navs = config.kinds[_stockKind];
    var type = paramObj.type;
    var view = new views[config.navs[type].view](config.navs[type].ops, datas.SecuAbbr);
    // console.log("type: ", type)
    window.onunload = function() {
      Net.Log(config.navs[type].name + " 更多");
    };
  })

  var setTimeRender = function(){
    console.log("df!")
    if($(".chart canvas").size()>0){
      $(".chart canvas").show();
    }
    setTimeout(function(){setTimeRender();},1000);
  }

  function k_vCodeKind(tcode) {
    var ecode = (tcode || "").substring(0, 3);
    switch (ecode) {
      case "002":
        return "jj";
        break;
      case "003":
        if (tcode == "003004")
          return "kzz";
        else
          return "zq";
        break;
      case "004":
        return "hg";
        break;
      case "005":
        return "jj";
        break;
      default:
        return "gp";
        break;
    }
  }
})();
