$(document).ready(function(){
	showChart();
	//当日沪市上榜个股
	load({
		url:HOST_NAME+"/gsnews/data/abnormal/1.0?market=SH",
		tableId:'lhb-shgg-data',
		templateId:'lhb-shgg-tpl',
		dataProcessing:mkUpData
	});

	//当日深市上榜个股
	load({
		url:HOST_NAME+"/gsnews/data/abnormal/1.0?market=SZ",
		tableId:'lhb-szgg-data',
		templateId:'lhb-szgg-tpl',
		dataProcessing:mkUpData
	});
	//当日上榜次数
	load({
		url:HOST_NAME+"/gsnews/data/abnormalcount/1.0",
		tableId:'lhb-sbcstj-data',
		templateId:'lhb-sbcstj-tpl'
	});

});
//数据处理，买入额以亿为单位 ，涨跌幅取小数点后两位
function mkUpData(dataAll){
	var data = dataAll['sbgg'];
	for(var key in data){
		if(data[key]['buySum'] != null) {
			data[key]['buySum'] = ((data[key]['buySum']*1.0)/10000).toFixed(2);
		}
		if(data[key]['change'] != null) {
			var f = (data[key]['change']*1.0)>0?"+":"";
			data[key]['change'] = f+(data[key]['change']*1.0).toFixed(2);
		}
	}
}

function showChart(){
	$.ajax({
		url:HOST_NAME+"/gsnews/data/abnormalnumber/1.0",
		data:{},
		dataType:'json',
		type:'get',
		success: function (dataAll ) {
			var data = dataAll['lhb'];
			var sectors = {'1':"沪市主板",'2':"深市主板",'3':"创业板",'4':"中小板"};
			var count = 0;
			var tradingDay = getDate();
			for(var key in data){
				data[key]['number'] = data[key]['number']*1;
				count+=data[key]['number'];
				data[key]['sector'] = sectors[data[key]['sector']];
				tradingDay = data[key]['tradingDay'];
			}
			$('.tradingDay').html(tradingDay);
			$("#sb-count").html(count);
			window.chart = new G2.Chart({
				id:"lhb-chart",
				//animate:false,
				width:getWidth(100),
				height:200,
				plotCfg:{margin:[20, 20 ,30 ,20]}
			});
			chart.axis('number',false);
			chart.axis('sector',{
				line:{stroke:'#DFE1E6'},
				labels:{
					label:{
						fill:'#677288',
					}
				},
				tickLine:0
			});
			chart.legend(false);
			chart.tooltip(null);
			chart.source(data,{'sector':{alias:' '},'number':{min:0}});
			chart.interval().position("sector*number")
			.color("sector",['#589DFC'])
			.label("number",
			{
				custom:true,
				renderer:function(text){
					return '<span style="color:#589DFC">'+text+"</span>";
				}
			});
			chart.render();
			
		}
	});
}
