/**
* args = {url:'xxx', templateId:'xxx', tableId:'xxx', dataProcessing:function (data)}
*/
function load(args){
	$.ajax({
		url: args['url'],
		dataType: 'json',
		success: function(data){
			if(typeof(args['dataProcessing']) != 'undefined'){
				args['dataProcessing'](data);
			}
			var html = template(args['templateId'],data);
			$("#"+args['tableId']).append(html);
		}
	});
	
}
var HOST_NAME = window.location.protocol+"//"+window.location.host;

function getDate(addDays, addMonths){
	var date = new Date();

	if(typeof(addDays)!='undefined'){
		date.setDate(date.getDate()+addDays);
	}
	if(typeof(addMonths)!='undefined'){
		date.setMonth(date.getMonth()+addMonths);
	}
	var y = date.getFullYear();
	var m = date.getMonth()+1;
	m = m<10?'0'+m:m;
	var d = date.getDate();
	d = d<10?'0'+d:d;
	var time = y+'-'+m+'-'+d;
	return time;
}
function getYear(){
	var date = new Date();
	return date.getFullYear();
}
function getWidth(percent){
	var w = document.body.offsetWidth;
	return w*percent*0.01;
}

var width = getWidth(100);
var m = '0 '+((width*1-282)/10).toFixed(0)+'px';
$('.menu-button').css('margin',m);

function getQueryString(name) {
    var reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
    var r = window.location.search.substr(1).match(reg);
    if (r != null) {
        //return unescape(r[2]);
        return decodeURIComponent(r[2]);
    }
    return null;
}
$(function(){
	//$(".date").html('('+getDate()+')');
});
function newSimpleWebView(simpleUrl){
	var url = location.href.substring(0,location.href.lastIndexOf("/")) + "/"+simpleUrl;
	var params ={pageUrl:url};
	Com.newWebViewOpenPage("",params);
}

function notifyRefresh(){
	var _params = {
		columnId:"TSSJ",
		refreshTime: new Date().getTime(),
		refreshResult:1,
		refreshMessage:"刷新特色数据",
		pageUrl:location.href
	};
	onCallNative("WebContainer","refreshPage",_params);
}

$js = window.$js || {};
$js.refreshPage = function(){
	location.reload();
	notifyRefresh();
}

function fmoney(s, num){
	n = num >0 && num <= 20 ? num : 2;
	s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n)+'';
	var l = s.split(".")[0].split('').reverse(), r = s.split(".")[1];
	t = "";
	for(i = 0; i < l.length;i++){
		t += l[i] + ((i+1) % 3 == 0 && (i + 1) != l.length ?"," :"");
	}
	var result = t.split("").reverse().join("");
	if(num != 0){
		result = result+"."+r;
	}
	return result;
}
function endOfScrollTop(args){
	var loadFlag = false;
	$(window).on('touchmove',function(){
		$('.loading').show();
		/*if(loadFlag == false){
			var oheight = $(document).height();
			var wheight = $(window).height();
			var wintop = $(window).scrollTop();
			if((wintop + wheight) >= oheight && oheight >= wheight){
				if(typeof args['callback'] == 'function'){

					loadFlag = false;
					args['callback']();
					$('.loading').hide();
				}
			}
		}*/
	});
	window.onscroll = function(){
		var oheight = $(document).height();
		var wheight = $(window).height();
		var wintop = $(window).scrollTop();
		if((wintop + wheight+50) >= oheight && oheight >= wheight){
			if(typeof args['callback'] == 'function'){

				loadFlag = false;
				args['callback']();
				$('.loading').hide();
			}
		}
	}
};
function touchUp(){
	//function hideLoading(){
	//	$('.loading').hide();
	//}
	//$(window).on('touchend',function(){
	//	setTimeout(hideLoading,2000);
	//})
};

function stickyTo(fixedY,divClass,stickyToY){
	$(window).on('touchmove',function(){
		var wintop = $(window).scrollTop();
		if(typeof divClass == 'undefined'){
			divClass = 'table-title-index';
		}
		if(typeof stickyToY == 'undefined'){
			stickyToY = '37px';
		}
		if(wintop >= fixedY){
			$('.'+divClass).addClass('fixed');
			$('.'+divClass).css('top',stickyToY);
		}else{
			$('.'+divClass).css('top',null);
			$('.'+divClass).removeClass('fixed');
		}
	});
};
function setScrollFixed(){
	$(window).on('touchmove',function(){
		var scroll_fixed = document.querySelector(".dataWrapper");
		var scrollTop = document.body.scrollTop;
		var top = scroll_fixed.offsetTop;
		console.log("top:" + top + ";scrollTop:" + scrollTop);
		if(scrollTop > top){
			$(".scroll-fixed").addClass("fixedTop");
			if($(".tip-select").size()>0){
				$(".tip-select").addClass("fixed");
			}
		}else{
			$(".scroll-fixed").removeClass("fixedTop");
			if($(".tip-select").size()>0){
				$(".tip-select").removeClass("fixed");
			}
		}
	});
}
//跳转到行情
function goStkHq(o){
    var market = o.getAttribute("smarket");
    var marketId = market=="S"? 2 : market == "Z"? 1:0; //S,2=>上海，Z，1=>深圳
    var _params = {
        stockCode:o.getAttribute("scode"),
        stockName:o.getAttribute("sname"),
        stockMarket:marketId + '',
    };
    onCallNative("WebContainer","transitionStockInfo", _params);
    
}
function selectStk(secuId, stkName, stkCode, tradingDay){
	localStorage.secuId = secuId;
	localStorage.stkName = stkName;
	localStorage.stkCode = stkCode;
	localStorage.tradingDay = tradingDay;
	var url = location.href.substring(0,location.href.lastIndexOf("/")) + "/lhb-record.html?secuId=" + secuId + "&stkName=" + stkName + "&stkCode=" + stkCode +　"&tradingDay=" + tradingDay;
	var params ={pageUrl:url};
	Com.newWebViewOpenPage("",params);
}
