
    /*
     * 对接原生接口的对象
     * 对象名称：$js
     * */
    var j = function(){}, p = j.prototype;

    /*刷新页面数据*/
    p.refreshPage = function(){
        try{
            refresh();
        }catch(err){
            $js.notifyRsfresh("normal",0,"");
        }
    }

    /*设置字号大小*/
    p.pageFontSize = function(param){
        var cls = param.fontSize == 1? "font_small" : param.fontSize == 2 ? "font_big" : "normal";
        localStorage.setItem("DFONT", cls);
        document.body.setAttribute("class", "font12 " + cls);
    }

    /*
     * 转场到web页面
     * @param type w:web页面，n:原生页面
     * 如果type=n  arguments[1]:功能名称   arguments[2]:跳转所需参数对象
    */
    p.gotoPage = function(type){
        var args = arguments;
        if(type==="w"){
            var _params = {"pageUrl":args[1]};
            $js.onCallNative($js.WebContainer, $js.transitionWeb, _params);
        }else if (type==="n"){
            $js.onCallNative($js.WebContainer, args[1], args[2]);
        }
    }

    /*session通知*/
    p.setSession = function(param){
        Com.setLocalValue('session',param.session);
        if(window.afterSetSession && typeof window.afterSetSession == "function"){
            window.afterSetSession();
        }
    }

    p.setSelectedStock = function (param){
        param = typeof param == "object"? param:JSON.parse(param);
        if(typeof Com.afterFunc == "function"){
            Com.afterFunc(param.selectedStock.join("|"));
        }
    }

    p.setBannerHeight = function(h){
        var param = {h:h};
        onCallNative("WebContainer","setBannerHeight",param);
    }

    p.onCallNative = function(module,method){
        if(arguments.length == 3){
            onCallNative(module, method, arguments[2]);
        }else if(arguments.length == 4){
            onCallNative(module, method, arguments[3], arguments[2]);
        }
    }

    /*4.0
    IOS：cn.com.guosen.m.iGoldSun
    Android：com.guosen.app.goldsun*/
    p.setAppSystemData = function(param){
        param = typeof param == "object"? param:JSON.parse(param);
        //金太阳手机证券4.0软件名称集，有疑问找客户端
        var jty4_names = [
            "cn.com.guosen.m.iGoldSun",
            "com.guosen.app.goldsun",
            "cn.com.guosen.m.iGoldSunEnterprise",
            "com.guosen.app.goldsunEnterprise",
            "iGoldSunMain"
        ];
        if(jty4_names.indexOf(param.appIdentifier)>=0){
            $js.getSession();
            $js.jty4();
        }
    }

    p.recordRow = function(obj){
        var id = $(obj).attr("data-id");$(obj).addClass("visited");
        localStorage.recordRow = localStorage.recordRow? localStorage.recordRow:"";
        if(localStorage.recordRow.indexOf("id")<0){
            localStorage.recordRow = localStorage.recordRow  + ";" + id;
        }
    }

    window.$js = new j;

    $js.baseUrl = location.origin;
    $js.path = "/asset/news";
    $js.WebContainer = "WebContainer";
    $js.transitionWeb = "transitionWeb";
    $js.today = new Date(Com.dateFormat(new Date(),'yyyy/MM/dd') + " 00:00:00").getTime();
    $js.year = new Date(new Date().getFullYear() + "/01/01 00:00:00");
    $js.apiUrl = location.origin;
    $js.pageSize = 20;

    /*获取session*/
    $js.getSession = function(){
        if(typeof arguments[0] == "function"){
            var fun = arguments[0];
            window.afterSetSession = fun;
        }else{
            window.afterSetSession = null;
        }
        $js.onCallNative("DataService", "getSession",{})
        /*if(typeof arguments[0] == "function"){
            var fun = arguments[0];
            setTimeout(function(){
                fun();
            },200);
        }*/
    };

    /*通知原生刷新结果*/
    $js.notifyRsfresh = function(columnId, result, msg){
        var url = location.href.substring(0,location.href.indexOf("#"));
        var _params = {
            columnId:columnId,
            refreshTime:new Date().getTime(),
            refreshResult:result,
            refreshMessage:msg,
            pageUrl:url
        };
        $js.onCallNative($js.WebContainer, "refreshPage", _params);
    };

    $js.diffTimeStr = function(date){
        var time = date.getTime();
        var now = new Date().getTime();
        var diff = now - time;
        var daydiff = time - $js.today;
        var yeardiff = time - $js.year;
        if(diff>0 && diff <= 3600000){
            return parseInt(diff / 60000) + '分钟前';
        }else if(diff>3600000 && diff <= 7200000){
            var sub = diff - 3600000;
            //return "1小时 " + parseInt(sub / 60000) + '分钟前';
            return "1小时" + '前';
        }else if(diff > 7200000 && daydiff >= 0){
            return Com.dateFormat(date,"hh:mm");
        }else if(yeardiff>0){
            return Com.dateFormat(date,'MM-dd hh:mm');
        }else{
            return Com.dateFormat(date,'yyyy-MM-dd hh:mm');
        }
    }

    //获取url文件名
    $js.getResourceName = function(){
        var pathname = location.pathname;
        var paths = pathname.split("/");
        var resource = paths[paths.length-1];
        var resourceName = resource.split(".")[0];
        return resourceName;
    }
    //获取公共参数
    $js.getCommonLoginData = function(callback){
        var funcName = "setCommonLoginData" + new Date().getTime();
        $js[funcName] = function(params){
            $js.softName = params.softName || "";
            if(typeof callback=="function"){
                callback(params);
            }
        }
        onCallNative("DataService", "getCommonLoginData",{},funcName);
    }
    //读取本地缓存
    $js.renderCache = function (){
        var resourceName = this.getResourceName();
        var banner = localStorage.getItem(resourceName + "_banner"),
            list = localStorage.getItem(resourceName + "_list");
        if(list){
            document.querySelector("#" + arguments[0]).innerHTML = list;
        }
        /*if(banner && document.querySelector("#" + arguments[1])){
            document.querySelector("#" + arguments[1]).innerHTML = banner;
            var mySwiper = new Swiper('.swiper-container',{
                    loop: true,
                    autoplay: 3000,
                    calculateHeight:true,
                    pagination:".pagination",
                    createPagination:true
            });
        }*/
    }

    $js.handleContent = function(content){
        content = content.replace(/([\r|\r\n|\n\r]+)/g,"<p class='br'><p/>");
        //content = content.replace(/[\n]+/gmi,"<p>");
        //content = content.replace(/[\s]/gmi,"");
        //content = content.replace(/[\r]/gmi,"<br/>");
        return content;
    }

    /*刷新后的提示处理*/
    $js.refreshResult = function(type){
        if(arguments[1]==0){
            return false;
        }
        if(typeof timer != "undefined"){clearTimeout(timer)};

        var html = '<div id="fixed_toast" class="fixed_toast"><div class="fixed_t_box">';
        if(type == 0){
            html += '<div class="fixed_descript font16"><i class="fixed_icon successicon"></i>成功为您推荐' + arguments[1] + '条新内容</div>';
        }else if(type<0){
            html += '<div class="fixed_descript font16"><i class="fixed_icon erroricon"></i>非常抱歉，未加载成功请重新刷新...</div>';
        }
        html += '</div></div>';
        $("body").append(html);
        window.timer = setTimeout(function(){
            var node=document.getElementById("fixed_toast");
            if(node==null) return;
            node.remove == "function" ? node.remove() : node.parentNode.removeChild(node);
        },2000);
    }

    //列表loading
    $js.list_status = function (type){
        var ing = '<div class="load_loading">上拉查看更多...<img src="../images/loading2.gif" width="20"></div>',
            error = '<div class="load_error"><img src="../images/loaderror.png" width="20">网络不给力</div>',
            nomore = '<div class="load_nomore">没有更多数据</div>'
        if(type == "loading"){  //显示loading
            $(".loadmore").html(ing).css("visibility","visible");
        }else if(type == "hide"){  //隐藏loading
            $(".loadmore").css("visibility","hidden");
        }else if(type == "error"){  //网络出错
            $(".loadmore").html(error).css("visibility","visible");
        }else if(type=="nomore"){   //没有更多数据
            $(".loadmore").html(nomore).css("visibility","visible");
        }
    }

    //排序
    $js.compare = function (propertyName) {
        return function (object1, object2) {
            var r = 0;
            try{
                var value1 = object1[propertyName];
                var value2 = object2[propertyName];
                if (value2 < value1) {
                    r = 1;
                }
                else if (value2 > value1) {
                    r = -1;
                }
            }catch(err){
                r=0
            }
            return r;
        }
    }

    /*是否以xxx开头*/
    $js.startWith=function(str,start){
        if(str==null||str==""||str.length==0||start.length>this.length)
            return false;
        if(str.substr(0,start.length)==start)
            return true;
        else
            return false;
    }

    /*获取自选股代码*/
    $js.getMyStocks = function(callback){
        if(typeof callback == "function"){
            Com.afterFunc = callback;
        }
        $js.onCallNative("DataService", "getSelectedStock",{})
    }

    /*
     * 设置右上角菜单图标
     * type:1(分享)，type:2(字号设置)， type:3(其他扩展)
     *
    */
    $js.setTitle = function(title){
        var _params = {
                title:title
            };
        $js.onCallNative($js.WebContainer, "titleItem", _params);
    }

    /*
     * 设置右上角菜单图标
     * type:1(分享)，type:2(字号设置)， type:3(其他扩展)
     *
    */
    $js.setRUMenu = function(type){
        var params = {};
        params = {"showType":type};
        $js.onCallNative($js.WebContainer, "rightButtonItem",params);
    }

    $js.jty4 = function(){
        $(".jty4").show();
    }

    $.ajaxSettings.timeout = 5000;

    //Com.nativeLoading(false);

function goStkHq(o){
    var market = o.getAttribute("smarket"), marketId = '';
    if(market=="S"){
        marketId = 2; //上海
    }else if(market=="Z"){
        marketId = 1; //深圳
    }else if(market=="Q"){
        marketId = 5; //股转
    }
    //ar marketId = market=="S"? 2 : market == "Z"? 1:0;
    var _params = {
        stockCode:o.getAttribute("scode"),
        stockName:o.getAttribute("sname"),
        stockMarket:marketId + '',
    };
    onCallNative($js.WebContainer,"transitionStockInfo", _params);

}

function setNoData(id){
    $(id).html("<li class='nodata'>没有数据！</li>");
}

    function formatMoney(m){
        if(!m){
            return '--';
        }
        if(Number(m) >=100000000 || Number(m) <= -100000000){
            return ((Number(m)/100000000 * 100) / 100).toFixed(4)+'亿';
        }else{
            return ((Number(m)/10000 * 100) / 100).toFixed(4)+'万';
        }

    }

//if(window.location.host.indexOf('58.61.28.213')!=-1){
//
//}else{
  //window.HKHOST = 'https://goldsunzt.guosen.com.cn:1445';
  //  window.HKHOST = 'https://172.24.140.61';
    window.HKHOST = '';
//}